flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: Flex SDK Installer broken on Mac OS?
Date Tue, 02 Dec 2014 17:44:25 GMT
We hope to fix this in the next release of the installer.

There are a number of workarounds to try.  One is to download the binary
package, unzip/untar it and use Apache Ant to run installer.xml.  However,
you need to use the installer.xml from 4.13.0.

Another is to try the AddAIRToSDK.sh in the ide folder after you install
Flex 4.12.1 with some older player.

Yet another is to customize an sdk-installer-config-4.0.xml and run the
Installer using that modified file.

Good luck,
-Alex

On 12/2/14, 2:57 AM, "Konstantin Elstner" <flex@dashart.de> wrote:

>Hi,
>
>> Due to a glitch in our CI server, we were not aware that there was an
>> update to the Flash 15 file.  I’ve updated the Installer data file and
>>it
>> should now be able to install 4.13 with AIR/Flash 15.
>>> Tested some minutes ago,
>now every thing is fine and I have now a working AIR 15 + Flex SDK 4.13.
>Thank you for the quick fix ;)
>
>> It is known that the installer can’t combine 4.12.1 or older with AIR
>>15.
>> If you really need that we can explore some workarounds.
>
>>> Hrm, a warning / popup / hin in the SDK Installer would be fine.
>In my case I have to do some small improvements for a business
>application wich was developed against Flex SDK 4.12.1.
>
>Switching to Flex SDK 4.13 would be a way,
>but I have to test the complete application on multiple platforms to be
>sure, that every thing is working as expected.
>
>So I think a combination of older Flex SDK's with an actual AIR SDK is a
>very common case
>for large enterprise applications.
>
>
>> One workaround would be to build the SDK from source. I just re-wrote
>> the README and I would love it if someone would try and see if the new
>> layout of the instructions makes sense and works ...
>>> I will try the guide from the README file
>and give you a feedback.
>
>
>Kind regards
>Konstantin Elstner
>
>
>Konstantin Elstner
>Schönbrunnstraße 14
>01097 Dresden
>
>eMail:         k.elstner@dashart.de
>Web:          http://www.dashart.de
>
>Am 01.12.2014 um 20:22 schrieb Erik de Bruin <erik@ixsoftware.nl>:
>
>>>> over the last few days, I tried multiple times to install AIR 15 plus
>>>> Flex SDK 4.12.1 / 4.13.
>>>> I never got success.
>>> 
>>> It is known that the installer can’t combine 4.12.1 or older with AIR
>>>15.
>>> If you really need that we can explore some workarounds.
>> 
>> One workaround would be to build the SDK from source. I just re-wrote
>> the README and I would love it if someone would try and see if the new
>> layout of the instructions makes sense and works ...
>> 
>> EdB
>> 
>> 
>> 
>> -- 
>> Ix Multimedia Software
>> 
>> Jan Luykenstraat 27
>> 3521 VB Utrecht
>> 
>> T. 06-51952295
>> I. www.ixsoftware.nl
>

Mime
View raw message